#!/usr/bin/env bash

conda update -n base -c defaults conda

conda config --add channels conda-forge

conda install \
    "python=3.8" \
    "numpy>=1.17" cycler kiwisolver pyparsing python-dateutil freetype pytest-cov \
    mock psycopg2 matplotlib lxml synphot wget astropy photutils \
    jupyter jupytext ripgrep flake8 flake8-docstrings black \
    openjdk sphinx sphinx_rtd_theme make fonts-anaconda nodejs \
    vim unzip tmux pyyaml beautifulsoup4 soupsieve curl conda-build

conda install \
    -c "https://$1@conda.astro-wise.org" \
    cx_Oracle common instantclient sitepackages-dir
