"""Hack to create backgrounds for different observations."""

from micado.dataitems.DepersistedSky import DepersistedSky


class DepersistedBkgfieldExtra(DepersistedSky):
    """Depersisted for background determination."""

    @classmethod
    def get_derived_classes(cls):
        """Overloaded hack to get other templates to get background from."""
        from micado.dataitems.DepersistedBkgfield import DepersistedBkgfield
        from micado.dataitems.DepersistedScience import DepersistedScience
        from micado.dataitems.DepersistedCoroPupil import DepersistedCoroPupil
        from micado.dataitems.DepersistedCoroBackground import DepersistedCoroBackground

        return [
            DepersistedBkgfield,
            DepersistedScience,
            DepersistedCoroPupil,
            DepersistedCoroBackground,
        ]
