"""Hack to create backgrounds for different observations."""

from micado.dataitems.DetrendBase import DetrendBase


class DetrendBkgfieldExtra(DetrendBase):
    """Detrend for background determination."""

    @classmethod
    def get_derived_classes(cls):
        """Overloaded hack to get other templates to get background from."""
        from micado.dataitems.DetrendBkgfield import DetrendBkgfield
        from micado.dataitems.Detrend import Detrend
        from micado.dataitems.DetrendPupil import DetrendPupil
        from micado.dataitems.DetrendCoroBackground import DetrendCoroBackground
        from micado.dataitems.DetrendAi import DetrendAi

        return [
            DetrendBkgfield,
            Detrend,
            DetrendAi,
            DetrendPupil,
            DetrendCoroBackground,
        ]
