"""Module with persistent CubeHCI classes."""

from typing import Tuple, Optional

from micado.main.Img import Img


class CubeHCIExtra(Img):
    """CubeHCI."""

    @classmethod
    def layers_number(cls) -> Tuple[Optional[int], Optional[int]]:
        """Minimum/maximum number of detectors for each layer.

        The CubeHCI has layers for each timestamp.
        """
        return 1, None
