"""Module with persistent Simulator classes.

These classes are not used at the moment.
"""

from datetime import datetime

from micado.main.MObject import MObject, persistent


class SimulatorRun(MObject):
    """SimulatorRun."""

    version: str = persistent("Version of the simulator [None]", str, "")
    run_date: datetime = persistent(
        "The data the simulator was run [None]", datetime, datetime(1990, 1, 1)
    )
    run_duration: float = persistent(
        "The duration of the simulator run [s]", float, float("NaN")
    )
    machine_dns: str = persistent(
        "The machine the simulator was run on [None]", str, ""
    )
