# -*- coding: utf-8 -*-
"""Tests for Img.py."""
from micado.dataitems.Dark import Dark
from micado.dataitems.Detrend import Detrend
from micado.dataitems.MasterDark import MasterDark
from micado.dataitems.Science import Science
from micado.dataitems.DepersistedDark import DepersistedDark


def test_get_raw_class():
    """Test Img.get_raw_class()."""
    assert DepersistedDark.get_raw_attr_class() == ("raw", Dark)
    assert MasterDark.get_raw_attr_class() == ("raw", Dark)
    assert Detrend.get_raw_attr_class() == ("raw", Science)
